<?
   include "../config.inc";
   $db = @mysql_connect("localhost", "$databaseuser", "$databasepasswd");
   @mysql_select_db("$databasename",$db);

if (!$topcat) {
  echo "<html><head><title>$ashopname</title></head>
        <body bgcolor=\"FFFFFF\" text=\"#000000\" link=\"#000000\" alink=\"#000000\" vlink=\"#000000\"><center>
        <p><img src=\"../images/logo.gif\"></p>
        <h1>Добавление товара в ваш каталог</h1>
        <h2>Шаг 1: Выберите главную категорию, в которую надо поместить товар...</h2>
        <p>Главная категория:</p>";
        $sql="SELECT categoryid, name FROM category WHERE parentcategoryid = categoryid";
        $result = @mysql_query($sql,$db);
        for ($i = 0; $i < @mysql_num_rows($result); $i++) {
          $categoryname = @mysql_result($result, $i, "name");
          $categoryid = @mysql_result($result, $i, "categoryid");
          echo "<font face=\"Arial, Helvetica, sans-serif\" size=\"2\"><a href=\"addproduct.php?topcat=$categoryid\">$categoryname</a></font><br>";
        }
        echo "</center></body></html>";
} else if (!$name && !$price && !$description) {
  echo "<html><head><title>$ashopname</title></head>
        <body bgcolor=\"FFFFFF\" text=\"#000000\" link=\"#000000\" alink=\"#000000\" vlink=\"#000000\"><center>
        <p><img src=\"../images/logo.gif\"></p>
        <h1>Добавление товара в ваш каталог</h1>
        <h2>Шаг 2: Выберите категорию и введите данные товара...</h2>
        <form action=\"addproduct.php\" method=\"post\">";
        $sql="SELECT categoryid, name FROM category WHERE parentcategoryid = $topcat AND categoryid != parentcategoryid";
        $result = @mysql_query($sql,$db);
        for ($j = 0; $j < @mysql_numrows($result); $j++) {
          $categoryname = @mysql_result($result, $j, "name");
          $categoryid = @mysql_result($result, $j, "categoryid");
          echo "<input type=\"radio\" name=\"category\" value=\"$categoryid\"><font face=\"Arial, Helvetica, sans-serif\" size=\"2\">$categoryname</font><br>";
        }
        echo "Название: <input type=\"text\" name=\"name\"><br>
              Цена: <input type=\"text\" name=\"price\"><br>
              Описание: <textarea name=\"description\"></textarea><br>
              <input type=\"hidden\" name=\"topcat\" value=\"$topcat\">
              <input type=\"submit\" value=\"Отправить\"></form>
              </center></body></html>";
} else {
   $sql="INSERT INTO product (name,price,description) VALUES ('$name','$price','$description')";
   $result = @mysql_query($sql,$db);
   $product_id = @mysql_insert_id();
   $sql="INSERT INTO productcategory (productid,categoryid) VALUES ($product_id,$category)";
   $result = @mysql_query($sql,$db);
   header ("Location: index.php?msg=prodadded");
}
?>
